Subject: Re: linux-next: manual merge of the block tree with the f2fs tree

From: Stephen Rothwell <[email-masked]>
Date: Thu, 3 Dec 2020 14:57:31 +1100

Hi all,

On Thu, 3 Dec 2020 14:43:48 +1100 Stephen Rothwell <[email-masked]> wrote:
>
> diff --cc fs/f2fs/checkpoint.c
> index 14ba1519639e,54a1905af052..000000000000
> --- a/fs/f2fs/checkpoint.c
> +++ b/fs/f2fs/checkpoint.c
> @@@ -1385,27 -1385,6 +1385,26 @@@ static void commit_checkpoint(struct f2
>   	f2fs_submit_merged_write(sbi, META_FLUSH);
>   }
>   
>  +static inline u64 get_sectors_written(struct block_device *bdev)
>  +{
> - 	return bdev->bd_part ?
> - 		(u64)part_stat_read(bdev->bd_part, sectors[STAT_WRITE]) : 0;
> ++	return (u64)part_stat_read(bdev, sectors[STAT_WRITE]) : 0;
                                                             ^^^^
Clearly, that should have been removed - I have done that now.

-- 
Cheers,
Stephen Rothwell